<?php 
	get_header();
	$alwayssidebars = get_option('royale_always_show_sidebars');
	if ($alwayssidebars) {
		if (get_option('royale_sidebar1_left')) include (TEMPLATEPATH . '/sidebar.php');
		if (get_option('royale_3columns') && get_option('royale_sidebar2_left')) {
			include (TEMPLATEPATH . '/sidebar2.php');
		}
	}
?>
	<td id="content" class="<?php echo ($alwayssidebars ? 'narrow' : 'wide'); ?>column">

		<?php if (have_posts()) : ?>

		 <?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>
<?php /* If this is a category archive */ if (is_category()) { ?>
		<h2 class="pagetitle"><?php printf(__('Archive for the %s Category','royale'),single_cat_title('',false)); ?></h2>

 	  <?php /* If this is a daily archive */ } elseif (is_day()) { ?>
		<h2 class="pagetitle"><?php printf(__('Archive for %s','royale'),get_the_time(__('F jS, Y','royale'))); ?></h2>

	 <?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
		<h2 class="pagetitle"><?php printf(__('Archive for %s','royale'),get_the_time(__('F, Y','royale'))); ?></h2>

		<?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
		<h2 class="pagetitle"><?php printf(__('Archive for %s','royale'),get_the_time('Y')); ?></h2>

	  <?php /* If this is a search */ } elseif (is_search()) { ?>
		<h2 class="pagetitle"><?php _e('Search Results','royale'); ?></h2>

	  <?php /* If this is an author archive */ } elseif (is_author()) { ?>
		<h2 class="pagetitle"><?php _e('Author Archive','royale'); ?></h2>

		<?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
		<h2 class="pagetitle"><?php _e('Blog Archives','royale'); ?></h2>

		<?php } ?>


		<div class="navigation">
			<div class="alignleft"><?php next_posts_link('&laquo; '. __('Previous Entries','royale')) ?></div>
			<div class="alignright"><?php previous_posts_link(__('Next Entries','royale'). ' &raquo;') ?></div>
		</div>

		<?php while (have_posts()) : the_post(); ?>
		<div class="post">
                                <div class="postinfo">
			        	<div class="cal">
                                                <span class="cald<?php echo (get_option('royale_dates') ? ' cald2' : '') ?>"><?php the_time((get_option('royale_dates') ? 'M' : 'd')) ?></span>
                                                <span class="calm"><?php the_time((get_option('royale_dates') ? 'd' : 'm')) ?></span>
                                                <span class="caly"><?php the_time('Y') ?></span>
                                        </div>
                                        <h3 id="post-<?php the_ID(); ?>"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php printf(__('Permanent Link to %s','royale'),the_title('','',false)); ?>"><?php the_title(); ?></a></h3>
                                        <small><?php printf(__('Posted by: %s in %s','royale'),'<a href="'. get_author_posts_url(get_the_author_ID()) .'" title="'. sprintf(__("Posts by %s"), attribute_escape(get_the_author())).' ">'. get_the_author() .'</a>',get_the_category_list(', ')) ?><?php edit_post_link(__('Edit','royale'), ' - '. mkicon('page_edit',__('Edit this post','royale')) .' ', ''); ?>  </small>
                                </div>

				<div class="entry">
					<?php the_content() ?>
				</div>

				<p class="postmetadata"><?php echo mkicon('comments','Comments'); ?> <?php comments_popup_link(__('No Comments','royale'). ' &#187;', __('1 Comment','royale'). ' &#187;', __('% Comments','royale'). ' &#187;'); ?></p>

			</div>

		<?php endwhile; ?>

		<div class="navigation">
			<div class="alignleft"><?php next_posts_link('&laquo; '. __('Previous Entries','royale')) ?></div>
			<div class="alignright"><?php previous_posts_link(__('Next Entries','royale'). ' &raquo;') ?></div>
		</div>

	<?php else : ?>

		<h2 class="center"><?php _e('Not Found','royale'); ?></h2>
		<p class="center"><?php _e('Sorry, but you are looking for something that isn\'t here','royale'); ?>.</p>

	<?php endif; ?>

	</td>

<?php
	if ($alwayssidebars) {
		if (!get_option('royale_sidebar1_left')) include (TEMPLATEPATH . '/sidebar.php');
		if (get_option('royale_3columns') && !get_option('royale_sidebar2_left')) {
			include (TEMPLATEPATH . '/sidebar2.php');
		}
	}

	get_footer(); 
?>
