<?php 
	get_header();
	$alwayssidebars = get_option('royale_always_show_sidebars');
	if ($alwayssidebars) {
		if (get_option('royale_sidebar1_left')) include (TEMPLATEPATH . '/sidebar.php');
		if (get_option('royale_3columns') && get_option('royale_sidebar2_left')) {
			include (TEMPLATEPATH . '/sidebar2.php');
		}
	}
?>
	<td id="content" class="<?php echo ($alwayssidebars ? 'narrow' : 'wide'); ?>column">

    <?php if (have_posts()) : while (have_posts()) : the_post(); ?>
		<div class="post" id="post-<?php the_ID(); ?>">
		<h2><?php the_title(); ?></h2>
			<div class="entry">
				<?php the_content('<p class="serif">'. __('Read the rest of this page','royale') .' &raquo;</p>'); ?>

				<?php link_pages('<p><strong>'. __('Pages','royale') .':</strong> ', '</p>', 'number'); ?>

			</div>
			<div style="clear: both;"></div>
		</div>
	  <?php endwhile; endif; ?>
	<?php edit_post_link(__('Edit this page','royale'), '<p>', '</p>'); ?>

	</td>

<?php
	if ($alwayssidebars) {
		if (!get_option('royale_sidebar1_left')) include (TEMPLATEPATH . '/sidebar.php');
		if (get_option('royale_3columns') && !get_option('royale_sidebar2_left')) {
			include (TEMPLATEPATH . '/sidebar2.php');
		}
	}

	get_footer(); 
?>
