<?php 
	get_header();
	$alwayssidebars = get_option('royale_always_show_sidebars');
	if ($alwayssidebars) {
		if (get_option('royale_sidebar1_left')) include (TEMPLATEPATH . '/sidebar.php');
		if (get_option('royale_3columns') && get_option('royale_sidebar2_left')) {
			include (TEMPLATEPATH . '/sidebar2.php');
		}
	}
?>
	<td id="content" class="<?php echo ($alwayssidebars ? 'narrow' : 'wide'); ?>column">

	<?php if (have_posts()) : ?>

		<h2 class="pagetitle"><?php _e('Search Results','royale'); ?></h2>

		<div class="navigation">
			<div class="alignleft"><?php next_posts_link('&laquo; '. __('Previous Entries','royale')) ?></div>
			<div class="alignright"><?php previous_posts_link(__('Next Entries','royale') .' &raquo;') ?></div>
		</div>


		<?php while (have_posts()) : the_post(); ?>

			<div class="post">
				<h3 id="post-<?php the_ID(); ?>"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php printf(__('Permanent Link to %s','royale'),the_title('','',false)); ?>"><?php the_title(); ?></a></h3>
				<small><?php the_time('l, F jS, Y') ?></small>

			<?php if (get_option('royale_full_search_results')): ?>
				<div class="entry">
					<?php the_content(__('Read the rest of this entry','royale') .' &raquo;'); ?>
				</div>
				<div style="clear: both"></div>

			<?php endif; ?>
				<p class="postmetadata"><?php printf(__('Posted by: %s in %s','royale'),'<a href="'. get_author_posts_url(get_the_author_ID()) .'" title="'. sprintf(__("Posts by %s"), attribute_escape(get_the_author())).' ">'. get_the_author() .'</a>',get_the_category_list(', ')) ?> | <?php edit_post_link(__('Edit','royale'), '', ' | '); ?>  <?php comments_popup_link(__('No Comments','royale'). ' &#187;', __('1 Comment','royale'). ' &#187;', __('% Comments','royale'). ' &#187;'); ?></p>
			</div>

		<?php endwhile; ?>

		<div class="navigation">
			<div class="alignleft"><?php next_posts_link('&laquo; '. __('Previous Entries','royale')) ?></div>
			<div class="alignright"><?php previous_posts_link(__('Next Entries','royale') .' &raquo;') ?></div>
		</div>

	<?php else : ?>

		<h2 class="center"><?php _e('No posts found. Try a different search?','royale'); ?></h2>
		<p class="center"><?php _e('Sorry, no posts matched your search criteria. Please try and search again.','royale'); ?></p>

	<?php endif; ?>

	</td>

<?php
	if ($alwayssidebars) {
		if (!get_option('royale_sidebar1_left')) include (TEMPLATEPATH . '/sidebar.php');
		if (get_option('royale_3columns') && !get_option('royale_sidebar2_left')) {
			include (TEMPLATEPATH . '/sidebar2.php');
		}
	}

	get_footer(); 
?>
