<?php 
	get_header();
	$alwayssidebars = get_option('royale_always_show_sidebars');
	if ($alwayssidebars) {
		if (get_option('royale_sidebar1_left')) include (TEMPLATEPATH . '/sidebar.php');
		if (get_option('royale_3columns') && get_option('royale_sidebar2_left')) {
			include (TEMPLATEPATH . '/sidebar2.php');
		}
	}
?>
	<td id="content" class="<?php echo ($alwayssidebars ? 'narrow' : 'wide'); ?>column">

<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

		<div class="navigation">
			<div class="alignleft"><?php previous_post_link(mkicon('book_previous','previous') .' %link'); ?></div>
			<div class="alignright"><?php next_post_link('%link '. mkicon('book_next','next')); ?></div>
		</div>

		<div class="post" id="post-<?php the_ID(); ?>">
                                <div class="postinfo">
			        	<div class="cal">
                                                <span class="cald<?php echo (get_option('royale_dates') ? ' cald2' : '') ?>"><?php the_time((get_option('royale_dates') ? 'M' : 'd')) ?></span>
                                                <span class="calm"><?php the_time((get_option('royale_dates') ? 'd' : 'm')) ?></span>
                                                <span class="caly"><?php the_time('Y') ?></span>
                                        </div>
                                        <h2><a href="<?php echo get_permalink() ?>" rel="bookmark" title="Permanent Link: <?php the_title(); ?>"><?php the_title(); ?></a></h2>
                                        <small><?php printf(__('Posted by: %s in %s','royale'),'<a href="'. get_author_posts_url(get_the_author_ID()) .'" title="'. sprintf(__("Posts by %s"), attribute_escape(get_the_author())).' ">'. get_the_author() .'</a>',get_the_category_list(', ')) ?></small>
                                </div>

			<div class="entry">
				<?php the_content('<p class="serif">'. __('Read the rest of this entry','royale') .' &raquo;</p>'); ?>

				<?php link_pages('<p><strong>'. __('Pages','royale') .':</strong> ', '</p>', 'number'); ?>

				<p class="postmetadata alt">
					<small>
						<?php printf(__('This entry was posted on %s at %s and is filed under %s.','royale'),get_the_time(__('l, F jS, Y','royale')),get_the_time(),get_the_category_list(', ')); ?>
						<?php printf(__('You can follow any responses to this entry through the %s feed.','royale'),'<a href="'. comments_rss() .'">RSS 2.0</a>'); ?>

						<?php if (('open' == $post-> comment_status) && ('open' == $post->ping_status)) {
							// Both Comments and Pings are open ?>
							<?php printf(__('You can <a href="#respond">leave a response</a>, or <a href="%s" rel="trackback">trackback</a> from your own site.','royale'),trackback_url(false)); ?>

						<?php } elseif (!('open' == $post-> comment_status) && ('open' == $post->ping_status)) {
							// Only Pings are Open ?>
							<?php printf(__('Responses are currently closed, but you can <a href="%s" rel="trackback">trackback</a> from your own site.','royale'),trackback_url(false)); ?>

						<?php } elseif (('open' == $post-> comment_status) && !('open' == $post->ping_status)) {
							// Comments are open, Pings are not ?>
							<?php _e('You can <a href="#respond">skip to the end</a> and leave a response. Pinging is currently not allowed.','royale'); ?>

						<?php } elseif (!('open' == $post-> comment_status) && !('open' == $post->ping_status)) {
							// Neither Comments, nor Pings are open ?>
							<?php _e('Both comments and pings are currently closed.','royale'); ?>

						<?php } edit_post_link(__('Edit this entry.','royale'),'',''); ?>

					</small>

				</p>

			</div>
		</div>

	<?php comments_template(); ?>

	<?php endwhile; else: ?>

		<p><?php _e('Sorry, no posts matched your criteria.','royale'); ?></p>

<?php endif; ?>

	</td>

<?php
	if ($alwayssidebars) {
		if (!get_option('royale_sidebar1_left')) include (TEMPLATEPATH . '/sidebar.php');
		if (get_option('royale_3columns') && !get_option('royale_sidebar2_left')) {
			include (TEMPLATEPATH . '/sidebar2.php');
		}
	}

	get_footer(); 
?>
