<?php
/*
Template Name: Archives Template
*/
?>
<?php 
	get_header();
	$alwayssidebars = get_option('royale_always_show_sidebars');
	if ($alwayssidebars) {
		if (get_option('royale_sidebar1_left')) include (TEMPLATEPATH . '/sidebar.php');
		if (get_option('royale_3columns') && get_option('royale_sidebar2_left')) {
			include (TEMPLATEPATH . '/sidebar2.php');
		}
	}
?>
	<td id="content" class="<?php echo ($alwayssidebars ? 'narrow' : 'wide'); ?>column">

	<div class="post">
	<div class="entry">
	<h2><?php _e('Search','royale'); ?>:</h2>
	<?php include (TEMPLATEPATH . '/searchform.php'); ?>

	<h2><?php _e('Archives by Month','royale'); ?>:</h2>
	<ul>
		<?php wp_get_archives('type=monthly'); ?>
	</ul>

	<h2><?php _e('Archives by Subject','royale'); ?>:</h2>
	<ul>
		<?php wp_list_cats(); ?>
	</ul>

	</div>
	</div>

	</td>

<?php
	if ($alwayssidebars) {
		if (!get_option('royale_sidebar1_left')) include (TEMPLATEPATH . '/sidebar.php');
		if (get_option('royale_3columns') && !get_option('royale_sidebar2_left')) {
			include (TEMPLATEPATH . '/sidebar2.php');
		}
	}

	get_footer(); 
?>
