<?php 
	get_header();
	if (get_option('royale_sidebar1_left')) include (TEMPLATEPATH . '/sidebar.php');
	if (get_option('royale_3columns') && get_option('royale_sidebar2_left')) {
		include (TEMPLATEPATH . '/sidebar2.php');
	}
?>
	<td id="content">

	<?php if (function_exists('dynamic_sidebar')): ?>
	<ul class="inline-widgets">
		<?php dynamic_sidebar('Royale Top'); ?>
	</ul>
	<?php endif; ?>

	<?php if (have_posts()) : ?>

		<?php while (have_posts()) : the_post(); ?>

			<div class="post" id="post-<?php the_ID(); ?>">
                                <div class="postinfo">
			        	<div class="cal">
                                                <span class="cald<?php echo (get_option('royale_dates') ? ' cald2' : '') ?>"><?php the_time((get_option('royale_dates') ? 'M' : 'd')) ?></span>
                                                <span class="calm"><?php the_time((get_option('royale_dates') ? 'd' : 'm')) ?></span>
                                                <span class="caly"><?php the_time('Y') ?></span>
                                        </div>
                                        <h2><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php printf(__('Permanent Link to %s','royale'),the_title('','',false)); ?>"><?php the_title(); ?></a></h2>
                                        <small><?php printf(__('Posted by: %s in %s','royale'),'<a href="'. get_author_posts_url(get_the_author_ID()) .'" title="'. sprintf(__("Posts by %s"), attribute_escape(get_the_author())).' ">'. get_the_author() .'</a>',get_the_category_list(', ')) ?><?php edit_post_link(__('Edit','royale'), ' - '. mkicon('page_edit',__('Edit this post','royale')) .' ', ''); ?>  </small>
                                </div>

				<div class="entry">
					<?php the_content(__('Read the rest of this entry','royale') .' &raquo;'); ?>
				</div>

				<p class="postmetadata"><?php echo mkicon('comments','Comments'); ?> <?php comments_popup_link(__('No Comments','royale'). ' &#187;', __('1 Comment','royale'). ' &#187;', __('% Comments','royale'). ' &#187;'); ?></p>
			</div>

		<?php endwhile; ?>

		<?php
			$prev = next_posts_link('&laquo; '. __('Previous Entries','royale'));
			$next = previous_posts_link(__('Next Entries','royale') .' &raquo;');
			if ($prev || $next):
		?>
		<div class="navigation">
			<div class="alignleft"><?php next_posts_link('&laquo; '. __('Previous Entries','royale')) ?></div>
			<div class="alignright"><?php previous_posts_link(__('Next Entries','royale') .' &raquo;') ?></div>
		</div>
		<?php endif; ?>

	<?php else : ?>

		<h2 class="center"><?php _e('Not Found','royale'); ?></h2>
		<p class="center"><?php _e('Sorry, but you are looking for something that isn\'t here.','royale'); ?></p>

	<?php endif; ?>

	<?php if (function_exists('dynamic_sidebar')): ?>
	<ul class="inline-widgets">
		<?php dynamic_sidebar('Royale Bottom'); ?>
	</ul>
	<?php endif; ?>
	</td>

<?php
	if (!get_option('royale_sidebar1_left')) include (TEMPLATEPATH . '/sidebar.php');
	if (get_option('royale_3columns') && !get_option('royale_sidebar2_left')) {
		include (TEMPLATEPATH . '/sidebar2.php');
	}

	get_footer(); 
?>
