<?php
/*
Template Name: Links Template
*/
?>
<?php 
	get_header();
	$alwayssidebars = get_option('royale_always_show_sidebars');
	if ($alwayssidebars) {
		if (get_option('royale_sidebar1_left')) include (TEMPLATEPATH . '/sidebar.php');
		if (get_option('royale_3columns') && get_option('royale_sidebar2_left')) {
			include (TEMPLATEPATH . '/sidebar2.php');
		}
	}
?>
	<td id="content" class="<?php echo ($alwayssidebars ? 'narrow' : 'wide'); ?>column">

		<h2><?php _e('Links','royale'); ?>:</h2>
		<ul>
		<?php get_links_list(); ?>
		</ul>

	</td>

<?php
	if ($alwayssidebars) {
		if (!get_option('royale_sidebar1_left')) include (TEMPLATEPATH . '/sidebar.php');
		if (get_option('royale_3columns') && !get_option('royale_sidebar2_left')) {
			include (TEMPLATEPATH . '/sidebar2.php');
		}
	}

	get_footer(); 
?>
